/*
 * Copyright 2018 Pivotal, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.netflix.spinnaker.clouddriver.artifacts.ivy;

import com.fasterxml.jackson.databind.ObjectMapper;
import org.junit.jupiter.api.Test;

import java.io.IOException;

class IvyArtifactProviderPropertiesTest {
  @Test
  void deserializeIvySettings() throws IOException {
    ObjectMapper mapper = new ObjectMapper();
    mapper.readValue("{\n" +
      "  \"accounts\": [{\n" +
      "    \"name\": \"mavenCentral\",\n" +
      "    \"settings\": {\n" +
      "      \"settings\": { \"defaultResolver\": \"mavenCentral\" },\n" +
      "      \"resolvers\": {\n" +
      "        \"ibiblio\": [{\n" +
      "          \"name\": \"mavenCentral\",\n" +
      "          \"m2compatible\": \"true\"\n" +
      "        }]\n" +
      "      }\n" +
      "    }\n" +
      "  }]\n" +
      "}", IvyArtifactProviderProperties.class);
  }
}