/*
 * Copyright 2014 Netflix, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.netflix.spinnaker.clouddriver.model

class NoopLoadBalancerProvider implements LoadBalancerProvider<LoadBalancer> {

  final String cloudProvider = "noop"

  @Override
  List<LoadBalancerProvider.Item> list() {
    return Collections.emptyList()
  }

  @Override
  LoadBalancerProvider.Item get(String name) {
    return null
  }

  @Override
  List<LoadBalancerProvider.Details> byAccountAndRegionAndName(String account, String region, String name) {
    return Collections.emptyList()
  }

  @Override
  Set<LoadBalancer> getApplicationLoadBalancers(String application) {
    Collections.emptySet()
  }
}
