/*
 * Copyright 2016 Veritas Technologies LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.netflix.spinnaker.clouddriver.openstack.security

import com.netflix.spinnaker.clouddriver.openstack.client.OpenstackClientProvider
import com.netflix.spinnaker.clouddriver.openstack.client.OpenstackProviderFactory
import com.netflix.spinnaker.clouddriver.openstack.deploy.ops.OpenstackUserDataProvider

public class OpenstackCredentials {

  final OpenstackClientProvider provider
  final OpenstackNamedAccountCredentials credentials
  final OpenstackUserDataProvider userDataProvider

  OpenstackCredentials(OpenstackNamedAccountCredentials accountCredentials) {
    this.provider = OpenstackProviderFactory.createProvider(accountCredentials)
    this.credentials = accountCredentials
    this.userDataProvider = new OpenstackUserDataProvider(this.credentials)
  }

}
